httpd-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From k...@apache.org
Subject cvs commit: httpd-2.0/docs/manual install.xml install.html.en install.xml.de install.html.de
Date Mon, 16 Sep 2002 23:06:34 GMT
kess        2002/09/16 16:06:33

  Modified:    docs/manual install.xml install.html.en install.xml.de
                        install.html.de
  Log:
  Added some <code></code> (suggestion by Tim Gerundt <tim@gerundt.de>)
  
  Added two examples for Base/non-Base modules
  (suggestion by Irmund Thum <i.t@ithum.de>)
  
  Removed accidential comment around the xml-stylesheet.
  
  Revision  Changes    Path
  1.5       +26 -25    httpd-2.0/docs/manual/install.xml
  
  Index: install.xml
  ===================================================================
  RCS file: /home/cvs/httpd-2.0/docs/manual/install.xml,v
  retrieving revision 1.4
  retrieving revision 1.5
  diff -u -r1.4 -r1.5
  --- install.xml	16 Sep 2002 14:26:48 -0000	1.4
  +++ install.xml	16 Sep 2002 23:06:33 -0000	1.5
  @@ -18,8 +18,9 @@
       <p>Apache 2.0's configuration and installation environment has
       changed completely from Apache 1.3. Apache 1.3 used a custom
       set of scripts to achieve easy installation. Apache 2.0 now
  -    uses libtool and autoconf to create an environment that looks
  -    like many other Open Source projects.</p>
  +    uses <code>libtool</code> and <code>autoconf</code>
  +    to create an environment that looks like many other Open Source
  +    projects.</p>
   
   </summary>
   
  @@ -118,11 +119,10 @@
         <br />
          Elements of the HTTP protocol are expressed as the time of
         day. So, it's time to investigate setting some time
  -      synchronization facility on your system. Usually the ntpdate
  -      or xntpd programs are used for this purpose which are based
  -      on the Network Time Protocol (NTP). See the Usenet newsgroup
  -      <a
  -      href="news:comp.protocols.time.ntp">comp.protocols.time.ntp</a>
  +      synchronization facility on your system. Usually the
  +      <code>ntpdate</code> or xntpd programs are used for this purpose which
  +      are based on the Network Time Protocol (NTP). See the Usenet newsgroup
  +      <a href="news:comp.protocols.time.ntp">comp.protocols.time.ntp</a>
         and the <a href="http://www.eecis.udel.edu/~ntp/">NTP
         homepage</a> for more details about NTP software and public
         time servers.<br />
  @@ -137,13 +137,13 @@
         href="programs/dbmmanage.html">dbmmanage</a> (which are
         written in Perl) the Perl 5 interpreter is required (versions
         5.003 or newer are sufficient). If no such interpreter is found by
  -      the `configure' script there is no harm. Of course, you still
  -      can build and install Apache 2.0. Only those support scripts
  +      the `<code>configure</code>' script there is no harm. Of course, you
  +      still can build and install Apache 2.0. Only those support scripts
         cannot be used. If you have multiple Perl interpreters
         installed (perhaps a Perl 4 from the vendor and a Perl 5 from
  -      your own), then it is recommended to use the --with-perl
  +      your own), then it is recommended to use the <code>--with-perl</code>
         option (see below) to make sure the correct one is selected
  -      by ./configure.<br />
  +      by <code>./configure</code>.<br />
         <br />
         </li>
       </ul>
  @@ -254,8 +254,8 @@
   
       <p>For a short impression of what possibilities you have, here
       is a typical example which compiles Apache for the installation
  -    tree /sw/pkg/apache with a particular compiler and flags plus
  -    the two additional modules mod_rewrite and mod_speling for
  +    tree <code>/sw/pkg/apache</code> with a particular compiler and flags
  +    plus the two additional modules mod_rewrite and mod_speling for
       later loading through the DSO mechanism:</p>
   
   <example>
  @@ -265,18 +265,18 @@
          --enable-speling=shared
   </example>
   
  -    <p>When configure is run it will take several minutes to test
  -    for the availability of features on your system and build
  +    <p>When <code>configure</code> is run it will take several minutes
to
  +    test for the availability of features on your system and build
       Makefiles which will later be used to compile the server.</p>
   
       <p>The easiest way to find all of the configuration flags for
  -    Apache is to run ./configure --help. What follows is a brief
  -    description of most of the arguments and environment
  +    Apache is to run <code>./configure --help</code>. What follows is a
  +    brief description of most of the arguments and environment
       variables.</p>
   
   <section id="environment"><title>Environment Variables</title>
   
  -    <p>The autoconf build process uses several environment
  +    <p>The <code>autoconf</code> build process uses several environment
       variables to configure the build environment. In general, these
       variables change the method used to build Apache, but not the
       eventual features of the server. These variables can be placed
  @@ -325,8 +325,8 @@
         <dt><code>NOTEST_LIBS=...</code></dt>
   
         <dd>These variables share the same function as their
  -      non-NOTEST namesakes. However, the variables are applied to
  -      the build process only after autoconf has performed its
  +      non-<code>NOTEST</code> namesakes. However, the variables are
  +      applied to the build process only after autoconf has performed its
         feature testing. This allows the inclusion of flags which
         will cause problems during feature testing, but must be used
         for the final compilation.</dd>
  @@ -416,14 +416,15 @@
       the documentation. Those modules with a <a
       href="mod/module-dict.html#Status">status</a> of "Base" are
       included by default and must be specifically disabled if you do
  -    not want them. Modules with any other status must be
  -    specifically enabled if you wish to use them.</p>
  +    not want them (e.g. <module>mod_userdir</module>). Modules with any
  +    other status must be specifically enabled if you wish to use them
  +    (e.g. <module>mod_expires</module>).</p>
   
       <p>There are two ways for a module to be compiled and used with
       Apache. Modules may be <em>statically compiled</em>, which
       means that they are permanently included in the Apache binary.
       Alternatively, if your operating system supports Dynamic Shared
  -    Objects (DSOs) and autoconf can detect that support, then
  +    Objects (DSOs) and <code>autoconf</code> can detect that support, then
       modules may be <em>dynamically compiled</em>. DSO modules are
       stored separately from the Apache binary, and may be included
       or excluded from the server using the run-time configuration
  @@ -586,7 +587,7 @@
   <example>$ <em>PREFIX</em>/bin/apachectl start</example>
   
       <p>and then you should be able to request your first document
  -    via URL http://localhost/. The web page you see is located
  +    via URL <code>http://localhost/</code>. The web page you see is located
       under the <directive module="core">DocumentRoot</directive>
       which will usually be <code><em>PREFIX</em>/htdocs/</code>.
       Then <a href="stopping.html">stop</a> the server again by
  @@ -595,4 +596,4 @@
   <example>$ <em>PREFIX</em>/bin/apachectl stop</example>
   </section>
   
  -</manualpage>
  +</manualpage>
  \ No newline at end of file
  
  
  
  1.50      +24 -22    httpd-2.0/docs/manual/install.html.en
  
  Index: install.html.en
  ===================================================================
  RCS file: /home/cvs/httpd-2.0/docs/manual/install.html.en,v
  retrieving revision 1.49
  retrieving revision 1.50
  diff -u -r1.49 -r1.50
  --- install.html.en	16 Sep 2002 14:26:48 -0000	1.49
  +++ install.html.en	16 Sep 2002 23:06:33 -0000	1.50
  @@ -14,8 +14,9 @@
       <p>Apache 2.0's configuration and installation environment has
       changed completely from Apache 1.3. Apache 1.3 used a custom
       set of scripts to achieve easy installation. Apache 2.0 now
  -    uses libtool and autoconf to create an environment that looks
  -    like many other Open Source projects.</p>
  +    uses <code>libtool</code> and <code>autoconf</code>
  +    to create an environment that looks like many other Open Source
  +    projects.</p>
   
   </div><div id="quickview"><ul id="toc"><li><img alt="" src="./images/down.gif"
/> <a href="#overview">Overview for the
       impatient</a></li><li><img alt="" src="./images/down.gif" />
<a href="#requirements">Requirements</a></li><li><img alt="" src="./images/down.gif"
/> <a href="#download">Download</a></li><li><img alt="" src="./images/down.gif"
/> <a href="#extract">Extract</a></li><li><img alt="" src="./images/down.gif"
/> <a href="#configure">Configuring the source tree</a></li><li><img
alt="" src="./images/down.gif" /> <a href="#compile">Build</a></li><li><img
alt="" src="./images/down.gif" /> <a href="#install">Install</a></li><li><img
alt="" src="./images/down.gif" /> <a href="#customize">Customize</a></li><li><img
alt="" src="./images/down.gif" /> <a href="#test">Test</a></li></ul></div><div
class="top"><a href="#page-header"><img alt="top" src="./images/up.gif" /></a></div><div
class="section"><h2><a name="overview" id="overview">Overview for the
  @@ -109,9 +110,9 @@
         <br />
          Elements of the HTTP protocol are expressed as the time of
         day. So, it's time to investigate setting some time
  -      synchronization facility on your system. Usually the ntpdate
  -      or xntpd programs are used for this purpose which are based
  -      on the Network Time Protocol (NTP). See the Usenet newsgroup
  +      synchronization facility on your system. Usually the
  +      <code>ntpdate</code> or xntpd programs are used for this purpose which
  +      are based on the Network Time Protocol (NTP). See the Usenet newsgroup
         <a href="news:comp.protocols.time.ntp">comp.protocols.time.ntp</a>
         and the <a href="http://www.eecis.udel.edu/~ntp/">NTP
         homepage</a> for more details about NTP software and public
  @@ -125,13 +126,13 @@
          For some of the support scripts like <a href="programs/apxs.html">apxs</a>
or <a href="programs/dbmmanage.html">dbmmanage</a> (which are
         written in Perl) the Perl 5 interpreter is required (versions
         5.003 or newer are sufficient). If no such interpreter is found by
  -      the `configure' script there is no harm. Of course, you still
  -      can build and install Apache 2.0. Only those support scripts
  +      the `<code>configure</code>' script there is no harm. Of course, you
  +      still can build and install Apache 2.0. Only those support scripts
         cannot be used. If you have multiple Perl interpreters
         installed (perhaps a Perl 4 from the vendor and a Perl 5 from
  -      your own), then it is recommended to use the --with-perl
  +      your own), then it is recommended to use the <code>--with-perl</code>
         option (see below) to make sure the correct one is selected
  -      by ./configure.<br />
  +      by <code>./configure</code>.<br />
         <br />
         </li>
       </ul>
  @@ -232,8 +233,8 @@
   
       <p>For a short impression of what possibilities you have, here
       is a typical example which compiles Apache for the installation
  -    tree /sw/pkg/apache with a particular compiler and flags plus
  -    the two additional modules mod_rewrite and mod_speling for
  +    tree <code>/sw/pkg/apache</code> with a particular compiler and flags
  +    plus the two additional modules mod_rewrite and mod_speling for
       later loading through the DSO mechanism:</p>
   
   <div class="example"><p><code>
  @@ -243,18 +244,18 @@
          --enable-speling=shared
   </code></p></div>
   
  -    <p>When configure is run it will take several minutes to test
  -    for the availability of features on your system and build
  +    <p>When <code>configure</code> is run it will take several minutes
to
  +    test for the availability of features on your system and build
       Makefiles which will later be used to compile the server.</p>
   
       <p>The easiest way to find all of the configuration flags for
  -    Apache is to run ./configure --help. What follows is a brief
  -    description of most of the arguments and environment
  +    Apache is to run <code>./configure --help</code>. What follows is a
  +    brief description of most of the arguments and environment
       variables.</p>
   
   <h3><a name="environment" id="environment">Environment Variables</a></h3>
   
  -    <p>The autoconf build process uses several environment
  +    <p>The <code>autoconf</code> build process uses several environment
       variables to configure the build environment. In general, these
       variables change the method used to build Apache, but not the
       eventual features of the server. These variables can be placed
  @@ -303,8 +304,8 @@
         <dt><code>NOTEST_LIBS=...</code></dt>
   
         <dd>These variables share the same function as their
  -      non-NOTEST namesakes. However, the variables are applied to
  -      the build process only after autoconf has performed its
  +      non-<code>NOTEST</code> namesakes. However, the variables are
  +      applied to the build process only after autoconf has performed its
         feature testing. This allows the inclusion of flags which
         will cause problems during feature testing, but must be used
         for the final compilation.</dd>
  @@ -392,14 +393,15 @@
       your server. You can view a <a href="mod/index.html">list of modules</a>
included in
       the documentation. Those modules with a <a href="mod/module-dict.html#Status">status</a>
of "Base" are
       included by default and must be specifically disabled if you do
  -    not want them. Modules with any other status must be
  -    specifically enabled if you wish to use them.</p>
  +    not want them (e.g. <code class="module"><a href="./mod/mod_userdir.html">mod_userdir</a></code>).
Modules with any
  +    other status must be specifically enabled if you wish to use them
  +    (e.g. <code class="module"><a href="./mod/mod_expires.html">mod_expires</a></code>).</p>
   
       <p>There are two ways for a module to be compiled and used with
       Apache. Modules may be <em>statically compiled</em>, which
       means that they are permanently included in the Apache binary.
       Alternatively, if your operating system supports Dynamic Shared
  -    Objects (DSOs) and autoconf can detect that support, then
  +    Objects (DSOs) and <code>autoconf</code> can detect that support, then
       modules may be <em>dynamically compiled</em>. DSO modules are
       stored separately from the Apache binary, and may be included
       or excluded from the server using the run-time configuration
  @@ -549,7 +551,7 @@
   <div class="example"><p><code>$ <em>PREFIX</em>/bin/apachectl
start</code></p></div>
   
       <p>and then you should be able to request your first document
  -    via URL http://localhost/. The web page you see is located
  +    via URL <code>http://localhost/</code>. The web page you see is located
       under the <code class="directive"><a href="./mod/core.html#documentroot">DocumentRoot</a></code>
       which will usually be <code><em>PREFIX</em>/htdocs/</code>.
       Then <a href="stopping.html">stop</a> the server again by
  
  
  
  1.2       +42 -39    httpd-2.0/docs/manual/install.xml.de
  
  Index: install.xml.de
  ===================================================================
  RCS file: /home/cvs/httpd-2.0/docs/manual/install.xml.de,v
  retrieving revision 1.1
  retrieving revision 1.2
  diff -u -r1.1 -r1.2
  --- install.xml.de	16 Sep 2002 20:38:15 -0000	1.1
  +++ install.xml.de	16 Sep 2002 23:06:33 -0000	1.2
  @@ -1,7 +1,7 @@
   <?xml version='1.0' encoding='UTF-8' ?>
   <!DOCTYPE manualpage SYSTEM "./style/manualpage.dtd">
  -<!--<?xml-stylesheet type="text/xsl" href="./style/manual.en.xsl"?>-->
  -<!-- English revision: 1.4 -->
  +<?xml-stylesheet type="text/xsl" href="./style/manual.en.xsl"?>
  +<!-- English revision: 1.5 -->
   
   <manualpage>
   <relativepath href="."/>
  @@ -19,9 +19,10 @@
       <p>Die Konfigurations- und Installationsumgebung des Apache 2.0 hat sich
       seit dem Apache 1.3 komplett ver&#228;ndert. Der Apache 1.3 benutzt einen
       speziellen Satz von Skripten, um eine einfache Installation zu
  -    erm&#246;glichen. Der Apache 2.0 dagegen verwendet nun libtool und
  -    autoconf, um eine Umgebung zu schaffen, die der vieler anderer Open
  -    Source Projekte &#228;hnlich sieht.</p>
  +    erm&#246;glichen. Der Apache 2.0 dagegen verwendet nun
  +    <code>libtool</code> und <code>autoconf</code>, um eine Umgebung
zu
  +    schaffen, die der vieler anderer Open Source Projekte &#228;hnlich
  +    sieht.</p>
   </summary>
   
   <section id="overview"><title>&#220;berblick f&#252;r die Ungeduldigen</title>
  @@ -109,7 +110,7 @@
         Stellen Sie sicher, dass Sie einen ANSI-C Compiler installiert
         haben. Der <a href="http://www.gnu.org/software/gcc/gcc.html">GNU C
         Compiler (GCC)</a> der <a href="http://www.gnu.org/">Free Software
  -      Foundation (FSF)</a> ist empfèhlenswert (Version 2.7.2 ist gut). Wenn
  +      Foundation (FSF)</a> ist empfehlenswert (Version 2.7.2 ist gut). Wenn
         Sie den GCC nicht besitzen, stellen Sie zumindest sicher, dass der
         Compiler Ihres Anbieters ANSI-kompatibel ist. Au&#223;erdem muss Ihr
         <code>PATH</code> wesentliche Generierungswerkzeuge wie
  @@ -123,10 +124,10 @@
         ausgedr&#252;ckt. Darum sollten Sie jetzt pr&#252;fen, ob Ihr System
         die F&#228;higkeit zur Zeitsynchronisation besitzt, und diese
         gegebenenfalls installieren. &#220;blicherweise werden hierf&#252;r
  -      die Programme ntpdate oder xntpd verwendet, die auf dem Network
  -      Time Protocol (NTP) basieren. N&#228;here Informationen &#252;ber NTP
  -      Software und &#246;ffentliche Zeitserver finden Sie in der Usenet
  -      Newsgroup <a
  +      die Programme <code>ntpdate</code> oder <code>xntpd</code>
verwendet,
  +      die auf dem Network Time Protocol (NTP) basieren. N&#228;here
  +      Informationen &#252;ber NTP Software und &#246;ffentliche Zeitserver
  +      finden Sie in der Usenet Newsgroup <a
         href="news:comp.protocols.time.ntp">comp.protocols.time.ntp</a>
         und auf der <a href="http://www.eecis.udel.edu/~ntp/">NTP
         Homepage</a>.<br />
  @@ -141,14 +142,15 @@
         oder <a href="programs/dbmmanage.html">dbmmanage</a> (die in Perl
         geschrieben sind) wird der Perl 5 Interpreter ben&#246;tigt (die
         Versionen ab 5.003 sind ausreichend). Wenn kein derartiger Interpreter
  -      vom 'configure'-Skript gefunden werden kann, macht das jedoch nichts.
  -      Selbstverst&#228;ndlich k&#246;nnen Sie den Apache 2.0 auch so
  -      generieren und installieren. Lediglich diese Pflegeskripte k&#246;nnen
  -      dann nicht verwendet werden. Wenn Sie mehrere Perl Interpreter
  -      installiert haben (vielleicht Perl 4 durch Ihren H&#228;ndler und
  -      Perl 5 durch Sie selbst), dann ist die Verwendung der --with-perl
  -      Option (siehe unten) empfehlenswert, um sicherzustellen, dass
  -      der richtige Interpreter von ./configure ausgew&#228;hlt wird.<br />
  +      vom '<code>configure</code>'-Skript gefunden werden kann, macht das
  +      jedoch nichts. Selbstverst&#228;ndlich k&#246;nnen Sie den Apache 2.0
  +      auch so generieren und installieren. Lediglich diese Pflegeskripte
  +      k&#246;nnen dann nicht verwendet werden. Wenn Sie mehrere Perl
  +      Interpreter installiert haben (vielleicht Perl 4 durch Ihren
  +      H&#228;ndler und Perl 5 durch Sie selbst), dann ist die Verwendung der
  +      <code>--with-perl</code> Option (siehe unten) empfehlenswert, um
  +      sicherzustellen, dass der richtige Interpreter von
  +      <code>./configure</code> ausgew&#228;hlt wird.<br />
         <br />
         </li>
       </ul>
  @@ -266,9 +268,9 @@
       <p>Um einen kurzen Eindruck zu gewinnen, welche M&#246;glichkeiten Sie
       haben, folgt hier ein typisches Beispiel, das den Apache mit einem
       speziellen Compiler und Compilerflags f&#252;r das
  -    Installationsverzeichnis /sk/pkg/apache kompiliert, sowie die beiden
  -    zus&#228;tzlichen Module mod_rewrite und mod_speling f&#252;r
  -    sp&#228;teres Laden durch den DSO-Mechanismus:</p>
  +    Installationsverzeichnis <code>/sk/pkg/apache</code> kompiliert, sowie
  +    die beiden zus&#228;tzlichen Module mod_rewrite und mod_speling
  +    f&#252;r sp&#228;teres Laden durch den DSO-Mechanismus:</p>
   
     <example>
         $ CC="pgcc" CFLAGS="-O2" \<br />
  @@ -277,19 +279,19 @@
          --enable-speling=shared
     </example>
   
  -    <p>Wenn configure startet, ben&#246;tigt es mehrere Minuten, um
  -    die Verf&#252;gbarkeit von Features auf Ihrem System zu pr&#252;fen
  +    <p>Wenn <code>configure</code> startet, ben&#246;tigt es mehrere
Minuten,
  +    um die Verf&#252;gbarkeit von Features auf Ihrem System zu pr&#252;fen
       und ein Makefile zu generieren, das sp&#228;ter zur Kompilierung des
       Servers verwendet wird.</p>
   
       <p>Die einfachste Art und Weise, alle Konfigurationsflags f&#252;r den
  -    Apache herauszufinden, ist, ./configure --help aufzurufen.
  +    Apache herauszufinden, ist, <code>./configure --help</code> aufzurufen.
       Hier folgt eine kurze Beschreibung der meisten Argumente und
       Umgebungsvariablen.</p>
   
   <section id="environment"><title>Umgebungsvariablen</title>
   
  -    <p>Der autoconf-Generierungsvorgang verwendet verschiedene
  +    <p>Der <code>autoconf</code>-Generierungsvorgang verwendet verschiedene
       Umgebungsvariablen f&#252;r die Konfiguration der Generierungsumgebung.
       Im allgemeinen ver&#228;ndern diese Variablen die Methode, die benutzt
       wird, um den Apache zu erstellen, nicht aber die letztendlichen
  @@ -340,8 +342,8 @@
         <dt><code>NOTEST_LIBS=...</code></dt>
   
         <dd>Diese Variablen haben die gleiche Funktion wie ihre
  -      Namensvettern ohne NOTEST. Diese Variablen werden jedoch nur auf
  -      den Generierungsprozess angewendet, nachdem autoconf seine
  +      Namensvettern ohne <code>NOTEST</code>. Diese Variablen werden jedoch
  +      nur auf den Generierungsprozess angewendet, nachdem autoconf seine
         Featuretests durchgef&#252;hrt hat. Dies erlaubt die Einbeziehung
         von Flags, die w&#228;hrend des Featuretests Probleme bereiten
         w&#252;rden, aber f&#252;r die endg&#252;ltige Kompilierung verwendet
  @@ -435,20 +437,21 @@
       Dokumentation enthalten. Module mit dem <a
       href="mod/module-dict.html#Status">Status</a> "Base"
       sind standardm&#228;&#223;ig enthalten und m&#252;ssen ausdr&#252;cklich
  -    deaktiviert werden, wenn Sie sie nicht verwenden m&#246;chten. Module
  -    mit einem anderen Status m&#252;ssen ausdr&#252;cklich aktiviert werden,
  -    wenn Sie sie verwenden m&#246;chten.</p>
  +    deaktiviert werden (z.B. <module>mod_userdir</module>), wenn Sie sie
  +    nicht verwenden m&#246;chten. Module mit einem anderen Status (z.B.
  +    <module>mod_expires</module>) m&#252;ssen ausdr&#252;cklich aktiviert
  +    werden, wenn Sie sie verwenden m&#246;chten.</p>
   
       <p>Es gibt zwei M&#246;glichkeiten, Module zu kompilieren und mit dem
       Apache zu benutzen. Module k&#246;nnen <em>statisch kompiliert</em>
       werden, was bedeutet, dass sie permanent in dem Apache Binary
       eingebunden sind. Wenn Ihr Betriebssystem Dynamic Shared Objects
       (DSOs; Anm. d. &#220;bersetzers: dynamisch eingebundene Bibliotheken)
  -    unterst&#252;tzt und autoconf diese Unterst&#252;tzung erkennen kann,
  -    dann k&#246;nnen Module alternativ <em>dynamisch kompiliert</em> werden.
  -    DSO-Module werden von der Apache Binary getrennt gespeichert und
  -    k&#246;nnen vom Server unter Verwendung der Direktiven zur
  -    Laufzeitkonfiguration, die von <a href="mod/mod_so.html">mod_so</a>
  +    unterst&#252;tzt und <code>autoconf</code> diese Unterst&#252;tzung
  +    erkennen kann, dann k&#246;nnen Module alternativ <em>dynamisch
  +    kompiliert</em> werden. DSO-Module werden von der Apache Binary getrennt
  +    gespeichert und k&#246;nnen vom Server unter Verwendung der Direktiven
  +    zur Laufzeitkonfiguration, die von <module>mod_so</module>
       bereitgestellt werden, ein- oder ausgeschlossen werden. mod_so wird
       automatisch dem Server hinzugef&#252;gt, sobald ein dynamisches Modul
       in die Kompilierung einbezogen wird. Wenn Sie Ihren Server f&#252;r das
  @@ -614,10 +617,10 @@
       <p>ausf&#252;hren.</p>
   
       <p>Danach sollten Sie Ihr erstes Dokument unter dem URL
  -    http://localhost/ anfordern k&#246;nnen. Die Webseite, die Sie sehen,
  -    ist im <a href="mod/core.html#documentroot">DocumentRoot</a> abgelegt,
  -    welches &#252;blicherweise <code><em>PREFIX</em>/htdocs/</code>
ist.
  -    Den Server <a href="stopping.html">stoppen</a> Sie wieder durch
  +    <code>http://localhost/</code> anfordern k&#246;nnen. Die Webseite,
  +    die Sie sehen, ist im <directive module="core">DocumentRoot</directive>
  +    abgelegt, welches &#252;blicherweise <code><em>PREFIX</em>/htdocs/</code>
  +    ist. Den Server <a href="stopping.html">stoppen</a> Sie wieder durch
       Ausf&#252;hren von:</p>
   
     <example>$ <em>PREFIX</em>/bin/apachectl stop</example>
  
  
  
  1.2       +40 -37    httpd-2.0/docs/manual/install.html.de
  
  Index: install.html.de
  ===================================================================
  RCS file: /home/cvs/httpd-2.0/docs/manual/install.html.de,v
  retrieving revision 1.1
  retrieving revision 1.2
  diff -u -r1.1 -r1.2
  --- install.html.de	16 Sep 2002 20:38:15 -0000	1.1
  +++ install.html.de	16 Sep 2002 23:06:33 -0000	1.2
  @@ -14,9 +14,10 @@
       <p>Die Konfigurations- und Installationsumgebung des Apache 2.0 hat sich
       seit dem Apache 1.3 komplett verändert. Der Apache 1.3 benutzt einen
       speziellen Satz von Skripten, um eine einfache Installation zu
  -    ermöglichen. Der Apache 2.0 dagegen verwendet nun libtool und
  -    autoconf, um eine Umgebung zu schaffen, die der vieler anderer Open
  -    Source Projekte ähnlich sieht.</p>
  +    ermöglichen. Der Apache 2.0 dagegen verwendet nun
  +    <code>libtool</code> und <code>autoconf</code>, um eine Umgebung
zu
  +    schaffen, die der vieler anderer Open Source Projekte ähnlich
  +    sieht.</p>
   </div><div id="quickview"><ul id="toc"><li><img alt="" src="./images/down.gif"
/> <a href="#overview">Überblick für die Ungeduldigen</a></li><li><img
alt="" src="./images/down.gif" /> <a href="#requirements">Anforderungen</a></li><li><img
alt="" src="./images/down.gif" /> <a href="#download">Download</a></li><li><img
alt="" src="./images/down.gif" /> <a href="#extract">Auspacken</a></li><li><img
alt="" src="./images/down.gif" /> <a href="#configure">Den Codebaum konfigurieren</a></li><li><img
alt="" src="./images/down.gif" /> <a href="#compile">Erstellen</a></li><li><img
alt="" src="./images/down.gif" /> <a href="#install">Installieren</a></li><li><img
alt="" src="./images/down.gif" /> <a href="#customize">Anpassen</a></li><li><img
alt="" src="./images/down.gif" /> <a href="#test">Testen</a></li></ul></div><div
class="top"><a href="#page-header"><img alt="top" src="./images/up.gif" /></a></div><div
class="section"><h2><a name="overview" id="overview">Überblick für die Ungeduldigen</a></h2>
   
       <table>
  @@ -100,7 +101,7 @@
         Stellen Sie sicher, dass Sie einen ANSI-C Compiler installiert
         haben. Der <a href="http://www.gnu.org/software/gcc/gcc.html">GNU C
         Compiler (GCC)</a> der <a href="http://www.gnu.org/">Free Software
  -      Foundation (FSF)</a> ist empf&#35372;enswert (Version 2.7.2 ist gut). Wenn
  +      Foundation (FSF)</a> ist empfehlenswert (Version 2.7.2 ist gut). Wenn
         Sie den GCC nicht besitzen, stellen Sie zumindest sicher, dass der
         Compiler Ihres Anbieters ANSI-kompatibel ist. Außerdem muss Ihr
         <code>PATH</code> wesentliche Generierungswerkzeuge wie
  @@ -114,10 +115,10 @@
         ausgedrückt. Darum sollten Sie jetzt prüfen, ob Ihr System
         die Fähigkeit zur Zeitsynchronisation besitzt, und diese
         gegebenenfalls installieren. Üblicherweise werden hierfür
  -      die Programme ntpdate oder xntpd verwendet, die auf dem Network
  -      Time Protocol (NTP) basieren. Nähere Informationen über NTP
  -      Software und öffentliche Zeitserver finden Sie in der Usenet
  -      Newsgroup <a href="news:comp.protocols.time.ntp">comp.protocols.time.ntp</a>
  +      die Programme <code>ntpdate</code> oder <code>xntpd</code>
verwendet,
  +      die auf dem Network Time Protocol (NTP) basieren. Nähere
  +      Informationen über NTP Software und öffentliche Zeitserver
  +      finden Sie in der Usenet Newsgroup <a href="news:comp.protocols.time.ntp">comp.protocols.time.ntp</a>
         und auf der <a href="http://www.eecis.udel.edu/~ntp/">NTP
         Homepage</a>.<br />
         <br />
  @@ -130,14 +131,15 @@
         oder <a href="programs/dbmmanage.html">dbmmanage</a> (die in Perl
         geschrieben sind) wird der Perl 5 Interpreter benötigt (die
         Versionen ab 5.003 sind ausreichend). Wenn kein derartiger Interpreter
  -      vom 'configure'-Skript gefunden werden kann, macht das jedoch nichts.
  -      Selbstverständlich können Sie den Apache 2.0 auch so
  -      generieren und installieren. Lediglich diese Pflegeskripte können
  -      dann nicht verwendet werden. Wenn Sie mehrere Perl Interpreter
  -      installiert haben (vielleicht Perl 4 durch Ihren Händler und
  -      Perl 5 durch Sie selbst), dann ist die Verwendung der --with-perl
  -      Option (siehe unten) empfehlenswert, um sicherzustellen, dass
  -      der richtige Interpreter von ./configure ausgewählt wird.<br />
  +      vom '<code>configure</code>'-Skript gefunden werden kann, macht das
  +      jedoch nichts. Selbstverständlich können Sie den Apache 2.0
  +      auch so generieren und installieren. Lediglich diese Pflegeskripte
  +      können dann nicht verwendet werden. Wenn Sie mehrere Perl
  +      Interpreter installiert haben (vielleicht Perl 4 durch Ihren
  +      Händler und Perl 5 durch Sie selbst), dann ist die Verwendung der
  +      <code>--with-perl</code> Option (siehe unten) empfehlenswert, um
  +      sicherzustellen, dass der richtige Interpreter von
  +      <code>./configure</code> ausgewählt wird.<br />
         <br />
         </li>
       </ul>
  @@ -245,9 +247,9 @@
       <p>Um einen kurzen Eindruck zu gewinnen, welche Möglichkeiten Sie
       haben, folgt hier ein typisches Beispiel, das den Apache mit einem
       speziellen Compiler und Compilerflags für das
  -    Installationsverzeichnis /sk/pkg/apache kompiliert, sowie die beiden
  -    zusätzlichen Module mod_rewrite und mod_speling für
  -    späteres Laden durch den DSO-Mechanismus:</p>
  +    Installationsverzeichnis <code>/sk/pkg/apache</code> kompiliert, sowie
  +    die beiden zusätzlichen Module mod_rewrite und mod_speling
  +    für späteres Laden durch den DSO-Mechanismus:</p>
   
     <div class="example"><p><code>
         $ CC="pgcc" CFLAGS="-O2" \<br />
  @@ -256,19 +258,19 @@
          --enable-speling=shared
     </code></p></div>
   
  -    <p>Wenn configure startet, benötigt es mehrere Minuten, um
  -    die Verfügbarkeit von Features auf Ihrem System zu prüfen
  +    <p>Wenn <code>configure</code> startet, benötigt es mehrere Minuten,
  +    um die Verfügbarkeit von Features auf Ihrem System zu prüfen
       und ein Makefile zu generieren, das später zur Kompilierung des
       Servers verwendet wird.</p>
   
       <p>Die einfachste Art und Weise, alle Konfigurationsflags für den
  -    Apache herauszufinden, ist, ./configure --help aufzurufen.
  +    Apache herauszufinden, ist, <code>./configure --help</code> aufzurufen.
       Hier folgt eine kurze Beschreibung der meisten Argumente und
       Umgebungsvariablen.</p>
   
   <h3><a name="environment" id="environment">Umgebungsvariablen</a></h3>
   
  -    <p>Der autoconf-Generierungsvorgang verwendet verschiedene
  +    <p>Der <code>autoconf</code>-Generierungsvorgang verwendet verschiedene
       Umgebungsvariablen für die Konfiguration der Generierungsumgebung.
       Im allgemeinen verändern diese Variablen die Methode, die benutzt
       wird, um den Apache zu erstellen, nicht aber die letztendlichen
  @@ -319,8 +321,8 @@
         <dt><code>NOTEST_LIBS=...</code></dt>
   
         <dd>Diese Variablen haben die gleiche Funktion wie ihre
  -      Namensvettern ohne NOTEST. Diese Variablen werden jedoch nur auf
  -      den Generierungsprozess angewendet, nachdem autoconf seine
  +      Namensvettern ohne <code>NOTEST</code>. Diese Variablen werden jedoch
  +      nur auf den Generierungsprozess angewendet, nachdem autoconf seine
         Featuretests durchgeführt hat. Dies erlaubt die Einbeziehung
         von Flags, die während des Featuretests Probleme bereiten
         würden, aber für die endgültige Kompilierung verwendet
  @@ -413,20 +415,21 @@
       <a href="mod/index-bytype.html">Liste von Modulen</a> ist in dieser
       Dokumentation enthalten. Module mit dem <a href="mod/module-dict.html#Status">Status</a>
"Base"
       sind standardmäßig enthalten und müssen ausdrücklich
  -    deaktiviert werden, wenn Sie sie nicht verwenden möchten. Module
  -    mit einem anderen Status müssen ausdrücklich aktiviert werden,
  -    wenn Sie sie verwenden möchten.</p>
  +    deaktiviert werden (z.B. <code class="module"><a href="./mod/mod_userdir.html">mod_userdir</a></code>),
wenn Sie sie
  +    nicht verwenden möchten. Module mit einem anderen Status (z.B.
  +    <code class="module"><a href="./mod/mod_expires.html">mod_expires</a></code>)
müssen ausdrücklich aktiviert
  +    werden, wenn Sie sie verwenden möchten.</p>
   
       <p>Es gibt zwei Möglichkeiten, Module zu kompilieren und mit dem
       Apache zu benutzen. Module können <em>statisch kompiliert</em>
       werden, was bedeutet, dass sie permanent in dem Apache Binary
       eingebunden sind. Wenn Ihr Betriebssystem Dynamic Shared Objects
       (DSOs; Anm. d. Übersetzers: dynamisch eingebundene Bibliotheken)
  -    unterstützt und autoconf diese Unterstützung erkennen kann,
  -    dann können Module alternativ <em>dynamisch kompiliert</em> werden.
  -    DSO-Module werden von der Apache Binary getrennt gespeichert und
  -    können vom Server unter Verwendung der Direktiven zur
  -    Laufzeitkonfiguration, die von <a href="mod/mod_so.html">mod_so</a>
  +    unterstützt und <code>autoconf</code> diese Unterstützung
  +    erkennen kann, dann können Module alternativ <em>dynamisch
  +    kompiliert</em> werden. DSO-Module werden von der Apache Binary getrennt
  +    gespeichert und können vom Server unter Verwendung der Direktiven
  +    zur Laufzeitkonfiguration, die von <code class="module"><a href="./mod/mod_so.html">mod_so</a></code>
       bereitgestellt werden, ein- oder ausgeschlossen werden. mod_so wird
       automatisch dem Server hinzugefügt, sobald ein dynamisches Modul
       in die Kompilierung einbezogen wird. Wenn Sie Ihren Server für das
  @@ -578,10 +581,10 @@
       <p>ausführen.</p>
   
       <p>Danach sollten Sie Ihr erstes Dokument unter dem URL
  -    http://localhost/ anfordern können. Die Webseite, die Sie sehen,
  -    ist im <a href="mod/core.html#documentroot">DocumentRoot</a> abgelegt,
  -    welches üblicherweise <code><em>PREFIX</em>/htdocs/</code>
ist.
  -    Den Server <a href="stopping.html">stoppen</a> Sie wieder durch
  +    <code>http://localhost/</code> anfordern können. Die Webseite,
  +    die Sie sehen, ist im <code class="directive"><a href="./mod/core.html#documentroot">DocumentRoot</a></code>
  +    abgelegt, welches üblicherweise <code><em>PREFIX</em>/htdocs/</code>
  +    ist. Den Server <a href="stopping.html">stoppen</a> Sie wieder durch
       Ausführen von:</p>
   
     <div class="example"><p><code>$ <em>PREFIX</em>/bin/apachectl
stop</code></p></div>
  
  
  

Mime
View raw message